summaryrefslogtreecommitdiffstats
path: root/debian/bash.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 06:17:26 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 06:17:26 +0000
commit3abb3f4db4372683dde9d2565d27d807ffdd5ac4 (patch)
tree83da6f31e160b887fcf21342ac42b2ea21a457c0 /debian/bash.postrm
parentAdding upstream version 5.1. (diff)
downloadbash-3abb3f4db4372683dde9d2565d27d807ffdd5ac4.tar.xz
bash-3abb3f4db4372683dde9d2565d27d807ffdd5ac4.zip
Adding debian version 5.1-2+deb11u1.debian/5.1-2+deb11u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/bash.postrm')
-rw-r--r--debian/bash.postrm22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/bash.postrm b/debian/bash.postrm
new file mode 100644
index 0000000..fcdbda8
--- /dev/null
+++ b/debian/bash.postrm
@@ -0,0 +1,22 @@
+#! /bin/sh
+
+set -e
+
+case "$1" in
+ upgrade|failed-upgrade|abort-install|abort-upgrade)
+ ;;
+ remove|purge|disappear)
+ if which remove-shell >/dev/null && [ -f /etc/shells ]; then
+ remove-shell /bin/bash
+ remove-shell /bin/rbash
+ fi
+ ;;
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0